Subject: Re: [Fot] John Fitch

From: EDWARD BARNARD <[email-masked]>
Date: Thu, 1 Nov 2012 05:23:01 -0700 (PDT)

Thanks Tom! He was quite a man. I thought he was with the Cunningham team in "55; interesting to see he was paired with Leveigh in the A/H which "caused" the crash. Phil Wallters (AKA Ted Tappet; I'm showing my roots :O)) was with Cunningham, and refused to ever race again after the '55 LeMans. As a side note...I believe Walters had also been a P-51 pilot over Germany. Birds of a feather.
-Ed-

--- On Wed, 10/31/12, Tom Householder <[email-masked]> wrote:

From: Tom Householder <[email-masked]>
Subject: Re: [Fot] John Fitch
To: "EDWARD BARNARD" <[email-masked]>
Date: Wednesday, October 31, 2012, 10:37 PM

FYI
http://en.wikipedia.org/wiki/John_Fitch_(racing_driver)

On Oct 31, 2012, at 10:54 PM, EDWARD BARNARD wrote:

> The FOT has been very quiet with many of its members at the VTR Nationals in Galveston Texas. For those who may not have heard, John Fitch passed away this morning.
> With his passing goes a great fighter pilot, sports car driver, Indy car driver, and a member of the Cunningham team at LeMans with Phil Walters during the big crash in '55.
> RIP
> -Ed-
> _______________________________________________
> [email-masked]
> 
> http://www.fot-racing.com
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive
Unsubscribe: http://autox.team.net/mailman/options/fot/[email-masked]